summaryrefslogtreecommitdiffstats
path: root/scripts/build.sh
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2018-09-05 17:12:44 -0700
committerGravatar Dirk Hohndel <dirk@hohndel.org>2018-09-05 21:43:58 -0700
commit11993b59ca3ed29b1581e273546d44fc134fbe37 (patch)
tree0cbe1a0ce55884aedb63ce9326c2567f088a577e /scripts/build.sh
parentfde266860efc5ea627eec547547e99ce9ebd62c8 (diff)
downloadsubsurface-11993b59ca3ed29b1581e273546d44fc134fbe37.tar.gz
build-system: don't show spurious errors looking for qmake
And improve the message if we do indeed not find it. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts/build.sh')
-rwxr-xr-xscripts/build.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index 8e2381e6e..0cf95b543 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -141,9 +141,9 @@ echo Building in $SRC, installing in $INSTALL_ROOT
if [ ! -z $CMAKE_PREFIX_PATH ] ; then
QMAKE=$CMAKE_PREFIX_PATH/../../bin/qmake
else
- hash qmake > /dev/null && QMAKE=qmake
- [ -z $QMAKE ] && hash qmake-qt5 > /dev/null && QMAKE=qmake-qt5
- [ -z $QMAKE ] && echo "cannot find qmake" && exit 1
+ hash qmake > /dev/null 2> /dev/null && QMAKE=qmake
+ [ -z $QMAKE ] && hash qmake-qt5 > /dev/null 2> /dev/null && QMAKE=qmake-qt5
+ [ -z $QMAKE ] && echo "cannot find qmake or qmake-qt5" && exit 1
fi
# on Debian and Ubuntu based systems, the private QtLocation and